=== debian/changelog ===
yorick-soy (1.4.0-4) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Add missing build dependency on yorick-dev for command dh_installyorick.
  * Remove patch git-backport that is missing from debian/patches/series.
  * Refer to specific version of license GPL-2+.
  * d/rules: ignore failures in dh_auto_clean

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2025 20:01:43 +0100

yorick-soy (1.4.0-3) unstable; urgency=low

  * Fortify (don't rely on yorick to provide right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 17:55:13 +0200

yorick-soy (1.4.0-2) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Patch Makefile instead of running yorick -batch make.i
  * Simplfiy debian/rules with short dh notation

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 15:56:04 +0200

yorick-soy (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 16 Apr 2012 09:04:34 +0200

yorick-soy (1.2.01-3) unstable; urgency=low

  * Move to source format "3.0 (quilt)" in order to drop depencedy on
    dpatch (thanks to Jari Aalto).
  * Move to section science.
  * Check against standards version 3.9.3.
  * Add check target.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 05 Mar 2012 11:59:10 +0100

yorick-soy (1.2.01-2) unstable; urgency=low

  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-soy.packinfo
     * added debian/yorick-soy.keywords

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 13:04:29 +0100

yorick-soy (1.2.01-1) unstable; urgency=low

  * Initial Release. Closes: #366706

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon,  1 May 2006 07:34:49 +0200
