=== debian/control ===
Source: yorick-soy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               yorick-yutils,
               yorick-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/yorick-soy
Vcs-Git: https://salsa.debian.org/science-team/yorick-soy.git
Homepage: http://homepage.mac.com/rflicker/soy.htm

Package: yorick-soy
Architecture: any
Depends: yorick,
         yorick-yutils,
         ${shlibs:Depends},
         ${misc:Depends}
Description: sparse matrix operations for the Yorick language
 Sparse Operations with Yorick is a plugin for Yorick (an interpreted computer
 language specialized for numerical and scientific problems) that allows
 performing efficient operations on sparse matrices. This software is also
 available for the commercial language IDL.
 .
 Features:
  * Utilizes a sparse row-wise format optimized for fast matrix-vector
    multiplication
  * Structure implementation for user-friendly interface on the Yorick/IDL
    scripting level
  * Explicit memory handling on the scripting level
  * As of v1.2 portable to 64-bit computing platforms
  * Offers basic matrix algebra and manipulation in single or double precision
  * Offers scripts for solving linear systems by e.g. conjugate gradients
  * Offers saving of sparse structures on a common FITS format or an internal
    binary format. Using the FITS format makes the saved matrices portable
    between the IDL/Yorick distributions.
