=== debian/watch ===
version=4
https://github.com/frigaut/yorick-soy/tags .*/tarball/(\d[\d\.]+)
